Subject: Re: linux-next: manual merge of the lost-spurious-irq tree with the tip tree

From: Tejun Heo <[email-masked]>
Date: Tue, 05 Oct 2010 08:55:22 +0200

Hello, Ingo.

On 10/05/2010 08:32 AM, Ingo Molnar wrote:
> 
> * Tejun Heo <[email-masked]> wrote:
> 
>>> I think I fixed it all up (see below).  I can carry this fix (or a 
>>> better one) as necessary.
>>
>> Can you please drop lost-spurious-irq for now?  It needs to be 
>> reimplemented.  I'll send a merge request again when it's ready.
> 
> Please send irq merge requests to Thomas instead and wait for those 
> genirq bits to show up upstream. (You did so in the past and the review 
> process was ongoing AFAICS)
> 
> Otherwise we would be dilluting linux-next testing with random side 
> effects from a tree that wasnt yet (in that form) scheduled to go 
> upstream by its respective maintainer at that time.
> 
> We were lucky that this showed up as merge complications - what if 
> instead it merged 'fine' on the textual and build/boot level but 
> mis-merged on the functional level in subtle ways? Thomas would be 
> sending something to Linus that was never really tested in linux-next in 
> that form, caused problems upstream, and Linus would be rightfully upset 
> about the situation.
> 
> Stephen, you need to enforce such things ...

I think Stephen had done enough.  At the time, I wasn't sure which
tree it was going to go through and it took some time before Thomas
responded, so I was intending to push it through separately.  I should
have retracted the tree right after it was determined to be
reimplemented but forgot.  That's my mistake not Stephen's.  Sorry
about that.

Thanks.

-- 
tejun